\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.75cm,y=0.75cm]
\clip(-1,-3) rectangle (6,5);
\draw [shift={(5,0)},line width=0.8pt] (0,0) -- (120:1) arc (120:180:1) -- cycle;
\draw [shift={(0,0)},line width=0.8pt] (0,0) -- (-45:1) arc (-45:0:1) -- cycle;
\draw[line width=0.8pt] (4.787867965644036,0.3674234614174766) -- (4.420444504226559,0.15529142706151233) -- (4.632576538582524,-0.21213203435596428) -- (5,0) -- cycle; 
\draw [line width=1pt] (0,0)-- (5,0);
\draw [line width=1pt] (3,3.4641016151377544)-- (5,0);
\draw [line width=1pt] (3,3.4641016151377544)-- (0,0);
\draw [line width=1pt] (0,0)-- (1.830127018922193,-1.8301270189221928);
\draw [line width=1pt] (1.830127018922193,-1.8301270189221928)-- (5,0);
\draw (-0.32,0.43) node {$C$};
\draw (5.24,-0.27) node {$B$};
\draw (3.8,0.75) node {$60\textrm{\degre}$};
\draw (3.16,3.85) node {$D$};
\draw (1.35,-0.35) node {$45\textrm{\degre}$};
\draw (1.78,-2.19) node {$E$};
\end{tikzpicture}